package com.zjrs.zwnw.zj.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.zwnw.zj.dto.QsDTO;
import com.zjrs.zwnw.zj.dto.QszjDTO;
import com.zjrs.zwnw.zj.po.QszjPO;

import java.util.List;

@Mapper
public interface QszjMapper extends BaseMapper<QszjPO> {
    public String getMaxYear();
    public List<QszjDTO> getList(@Param("dto") QsDTO dto);
    public Page<QszjDTO> getListPage(Page<QszjDTO> page, @Param("dto") QsDTO dto);
    public QszjDTO getTjData(@Param("dto") QsDTO dto);
}
